<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>Rent-a-Bike</title>

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <style>
      .mapdiv {
        width: 660px;
        height: 660px;
        margin: 100;

      }
    </style>

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <div class="container" style="width: 680px;">
      <div class="row">
        <div class="col-md-12">
          <h1 class="text-center">Rent-a-Bike</h1>
          <hr/>
          <hr/> 
          
          <!-- alerts -->
          <div class="alert alert-success alert-dismissible" id="addBike_alert" style="display: none;">
              Successfully added a bike.
              <button type="button" class="close" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
          </div>
          <div class="alert alert-success alert-dismissible" id="rentBike_alert" style="display: none;">
            Successfully rented a bike.
            <button type="button" class="close" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="alert alert-success alert-dismissible" id="returnBike_alert" style="display: none;">
            Successfully returned a bike. Wait until the bike is locked.
            <button type="button" class="close" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="alert alert-success alert-dismissible" id="removeBike_alert" style="display: none;">
            Successfully removed a bike.
            <button type="button" class="close" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="alert alert-success alert-dismissible" id="refund_alert" style="display: none;">
            Successfully refunded your money.
            <button type="button" class="close" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>

          <!-- loader -->
          <div id="loader">
            <p class="text-center">Loading...</p>
          </div>

          <!-- content -->
          <div id="content" style="display: none;">
            <table class="table">
              <thead>
                <tr>
		  <th scope="col">Id</th>
                  <th scope="col">Owner</th>
                  <th scope="col">Hirer Refund</th>
                  <th scope="col">Base Price</th>
                  <th scope="col">Costs per km</th>
		  <th scope="col">Available</th>
     <!--   <th scope="col">Bike Address</th> -->
                  <th scope="col">lat</th>
                  <th scope="col">lon</th> 
                  <th scope="col">renting time</th> 
                </tr>
              </thead>
              <tbody id="bikes">
              </tbody>
            </table>
            <hr/>
          </div>
          <div id="addForm">
            <form onSubmit="App.addBike(); return false;">
              <div class="form-group">
                <label for="priceSelect">Select Price</label>
                  <input class="form-control" id="priceSelect" type="number" min="1"> <!--step="0.01"-->
                <label for="priceSelect">Select the amount the hirer has to deposit</label>		
                  <input class="form-control" id="deposit" type="number" min="1"> 
                <label for="priceSelect">Select the costs per km</label>		
                  <input class="form-control" id="cpkm" type="number" min="0">
                <label for="priceSelect">Set bike account address</label>		
                  <input class="form-control" id="bikeAccount" pattern="[0][x][0-9a-fA-F]{40}" type="text" placeholder="e.g. 0xc65FfBF4eE2Bdc1cFc5BEdb4AF9749b6d582821E">
                <label for="priceSelect">Set Latitude</label>		
                  <input class="form-control" id="lat" type="number" placeholder="Enter the latitude without comma and with six positions after decimal point">
                <label for="priceSelect">Set Longitude</label>		
                  <input class="form-control" id="long" type="number" placeholder="Enter the longitude without comma and with six positions after decimal point">
              </div>
              <button type="submit" class="btn btn-primary">Add bike</button>
              <hr />
            </form>
          </div>
          <div id="rentForm">
            <form onSubmit="App.rentBike(); return false;">
              <div class="form-group">
                <label for="availableBikes">Rent bike</label>
                <select class="form-control" id="availableBikes">
                </select>
              </div>
              <button type="submit" class="btn btn-primary">Rent bike</button>
              <hr />
            </form>
          </div>
          <div id="renterForm">
            <form onSubmit="App.returnBike(); return false;">
              <div class="form-group">
                <label for="rentedBikes">Return bike</label>
                <select class="form-control" id="rentedBikes">
                </select>
              </div>
              <button type="submit" class="btn btn-primary">Return bike</button>
              <hr />
            </form>
          </div>
          <div id="ownerForm">
            <form onSubmit="App.removeBike(); return false;">
              <div class="form-group">
                <label for="addedBikes">Remove bike</label>
                <select class="form-control" id="addedBikes">
                </select>
              </div>
              <button type="submit" class="btn btn-primary">Remove bike</button>
              <hr />
            </form>
          </div>
          <div id="refundForm">
            <form onSubmit="App.refund(); return false;">
              <div class="form-group">
                <label for="refundValues"> Refund available</label>
                <select class="form-control" id="refundValues">
                </select>
              </div>
              <button type="submit" class="btn btn-primary"> Refund </button>
              <hr />
            </form>
          </div>
          <div id="accountAddress">
            <p id="accountAddress" class="text-center"></p>
          </div>
          <hr />
          <form onSubmit="App.backToCitySelection(); return false;">
            <button type="submit" class="btn btn-link">Back to city selection</button>
            <hr />
          </form>
        </div>
      </div>    
    </div>
<div id="mapId" class="container" style="width: 680px;">
    <div id="mapdiv" class="mapdiv" class="row"></div>
</div>
<hr />
<hr />
<hr />
    
    <script src="http://www.openlayers.org/api/OpenLayers.js"></script>
    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <script src="js/bootstrap.min.js"></script>
    <script src="js/web3.min.js"></script>
    <script src="js/truffle-contract.js"></script>
    <script src="js/app.js"></script>
  </body>
</html>
